Aller au contenu principal

Envoyer des candidatures

Description​

Créé une nouvelle candidature pour une offre d'emploi spécifiée.


Endpoint​

POST https://api.mytalentplug.com/jar/v1/jobapplication/new

Authentification​

  • Requise : Oui
  • Type : Bearer Authentication
  • Exemple d'en-tête :
Authorization: Bearer <token>

Requête​

Corps de la requête (JSON)​

La requête doit être envoyée au format JSON avec les informations du candidat et de l'offre d'emploi.

Exemple​
{
"jobOfferPublicationId": "147227477",
"applicantFirstName": "Jane",
"applicantLastName": "Smith",
"applicantEmail": "jane.smith@example.com",
"applicantPhoneNumber": "+33687654321",
"externalSource": {
"externalId": "REF1456"
},
"attachments": [
{
"fileName": "body.html",
"fileContent": "PCFET0N....",
"type": 2
}
]
}
Détail des champs

Propriétés de la requête​

ChampTypeRequisFormatDescription
jobOfferPublicationIdstringOui—Identifiant de l'offre d'emploi.
applicantEmailstringOuiEmail valideAdresse e-mail du candidat.
applicantFirstNamestringOui—Prénom du candidat.
applicantLastNamestringOui—Nom de famille du candidat.
applicantPhoneNumberstringNon—Numéro de téléphone du candidat.
externalSourceobjectNon—Source externe de la candidature. Voir externalSource.
attachmentsarrayOui—Liste des fichiers joints à la candidature. Voir attachments.

Schéma externalSource​

ChampTypeRequisDescription
externalIdstringNonIdentifiant de la candidature dans le système source.

Schéma attachments​

ChampTypeRequisDescription
fileNamestringOuiNom du fichier.
fileContentstringOuiContenu du fichier encodé en base64.
typeintegerOuiType du document (Valeur possible dans "Type de pièce jointe" ci-dessous).

Type de pièce jointe​

CodeLibelleDescription
0UntypedType de document non identifié
1MessageMessage associé à la candidature
2ResumeCurriculum vitae
3CoverLetterLettre de motivation
4ArchiveArchive (format compressé)
5OtherAutre type de document

Réponse​

La réponse est au format JSON.

Réponse 202 (succès)​

Exemple​
{
"id": "a1b2c3d4-e5f6-7890-abcd-1234567890ef"
}
Détail des champs

Propriétés de la réponse​

ChampTypeDescription
idstring (UUID)Identifiant unique de la candidature créée.

Réponses d'erreur​

Code HTTPMessageDescription
400Bad RequestErreur de validation
401UnauthorizedJeton d'accès manquant ou invalide
403ForbiddenAccès refusé
404Not FoundOffre d'emploi introuvable
409ConflictCandidature déjà existante (doublon)
410GoneOffre expirée ou supprimée
429Too Many RequestsLimite d'appels dépassée (voir Limites d'appels)
500Internal Server ErrorLe serveur a rencontré un problème inattendu

Exemple de requête avec curl​

curl -X POST 'https://api.mytalentplug.com/jar/v1/jobapplication/new' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <token>' \
-d '{
"jobOfferPublicationId": "147227477",
"applicantFirstName": "Jane",
"applicantLastName": "Smith",
"applicantEmail": "jane.smith@example.com",
"applicantPhoneNumber": "+33687654321",
"externalSource": {
"externalId": "REF-5467"
},
"attachments": [
{
"fileName": "body.html",
"fileContent": "PCFET0N....",
"type": 2
}
]
}'